%define oname out_lame
%define name xmms-%oname
%define version 0.2.2
%define release 3plf

Summary: Lame output plugin for xmms
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/my-xmms-plugs/%{oname}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://my-xmms-plugs.sourceforge.net/
BuildRequires:	liblame-devel
BuildRequires:	libxmms-devel
Requires: xmms
Provides: out_lame
Obsoletes: out_lame

%description
The Out-Lame XMMS-Output uses Lame's libmp3lame to output audio from
XMMS to mp3. It supports most of Lame's options useful for everyday
use.  More advanced features will (might?) be added in future
versions.  It should be reasonably stable and ready for
production-work. It's should work with versions of Lame up from 3.89,
although I only tested it with 3.89 and 3.91.

This is in PLF, as mp3 encoding violates some patents.

%prep
%setup -q -n %oname

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Output/*a
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%_libdir/xmms/Output/*.so

%changelog
* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 0.2.2-3plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.2.2-2plf
- rebuild

* Wed Apr 21 2004 Gtz Waschk <goetz@plf.zarb.org> 0.2.2-1plf
- fix description
- fix URL
- rename from out_lame
- new version

* Sun Sep 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.1-4plf
- fix buildrequires

* Mon Aug 25 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.1-3plf
- drop prefix
- fix buildrequires
- fix build

* Sat Apr 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.1-2plf
- BuildRequires

* Mon Mar 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1plf
- initial package


# end of file
